Signatures

Envelope Delete

DELETE
/signatures/envelope/{envelopeId}/delete

Deletes a specific envelope from the system.

  • The envelope is identified using the envelopeId path parameter.
  • Only envelopes in the "Draft" state can be deleted, allowing the sender to discard envelopes that have not yet been sent to recipients. This is a soft delete (status set to "Deleted") and only works on envelopes currently in Draft status.

Authorization

AuthorizationBearer <token>

JWT token to authenticate the request.

In: header

X-Api-Key<token>

API key, sent as a request header.

In: header

Path Parameters

envelopeId*string

The ID of the envelope that should be deleted.

Response Body

application/json

application/json

application/json

curl -X DELETE "https://example.com/signatures/envelope/string/delete"
{  "result": {    "statusCode": 200,    "message": "OK",    "data": {      "envelope": {        "id": "18764dc3-30fc-4fd1-a02a-083cb76bcd21",        "message": "Please review and sign at your earliest convenience."      }    }  },  "origin": "DELETE https://api.doctavian.com/v1/signatures/envelope/{envelopeId}/delete",  "dateTime": "2026-07-20T12:00:00.000Z",  "userId": "ee122df0-4eb5-4643-b261-3feb605ed963"}
{  "error": {    "message": "Envelope not found.",    "statusCode": 400,    "innerErrors": [      {        "code": "ENVELOPE_ID_INVALID",        "message": "Envelope not found.",        "userMessage": "Envelope not found."      }    ]  },  "origin": "DELETE https://api.doctavian.com/v1/signatures/envelope/{envelopeId}/delete",  "dateTime": "2026-07-20T12:00:00.000Z",  "userId": "01162c01-3a0c-4e3e-9cff-e5e9987c4e86",  "operationId": "13cf923c2bd9127f07e8d11e8bd3b45d"}
{  "error": {    "message": "Envelope not found.",    "statusCode": 500,    "innerErrors": [      {        "code": "ENVELOPE_ID_INVALID",        "message": "Envelope not found.",        "userMessage": "Envelope not found."      }    ]  },  "origin": "DELETE https://api.doctavian.com/v1/signatures/envelope/{envelopeId}/delete",  "dateTime": "2026-07-20T12:00:00.000Z",  "userId": "ed2b368a-b21e-4e24-8693-7652153c36c3",  "operationId": "bd8a106d28d27a75c82fa00d4171c634"}